List entity URLs

View as Markdown

Returns paged primary current URL rows owned by an entity. Set includeInactive=true with read auth to include secondary active and inactive/historical rows.

Authentication

X-Client-Secretstring

Client secret for read-only service-to-service access (no writes)

Path parameters

entityIdstringRequiredformat: "uuid"
Entity UUID owning the URL rows

Query parameters

includeInactivebooleanOptionalDefaults to false

Include secondary active and inactive/historical URL rows

pageintegerOptional>=0Defaults to 0

Zero-based page index (0..N)

sizeintegerOptional>=1Defaults to 25
The size of the page to be returned
sortlist of stringsOptional

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Response

OK
contentlist of objectsOptional
emptybooleanOptional
firstbooleanOptional
lastbooleanOptional
numberintegerOptional
numberOfElementsintegerOptional
pageableobjectOptional
sizeintegerOptional
sortobjectOptional
totalElementslongOptional
totalPagesintegerOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error